<?php
session_start();
require '../../conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['treinar'])) {

    $item = $_POST['item']; // item a treinar.. atk/ def
     
$personagem = $_SESSION['personagem'];
$treinando = "treinandoATK";


$def = $_SESSION['def'];
$ptdef = $def + "0.02";
$situacao = "livre";

        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :situacao, def = :ptdef WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':situacao', $situacao, PDO::PARAM_STR);
    $stmt->bindParam(':ptdef', $ptdef, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
   
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seu soldados, terminaram o trinamento de defesa, ficando com 
    + 0,2 pontos, agora você tem $ptdef pontos de defesa";
    header("Location: ../../dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>